Problemas com o RubyGems… atualizando manualmente para resolver o problema!

Estava com problemas para instalar e usar algumas gems… exemplo criar uma aplicação no heroku.

Tentei a atualização do Rubygems através do:
gem update --system

Não deu certo. Erro neste comando também. Os erros que apareciam para mim eram sobre métodos que não eram encontrados no Rubygems. Estava bem estranho.

Acabei tendo que apelar por atualizar o rubygems manualmente, (a) fazendo o download da última versão, (b) fazendo o unzip do pacote e (c) rodando o setup.rb.

Sobre meu ambiente:
– ruby 1.8.7 (2010-01-10 patchlevel 249) [universal-darwin10.0]
– rubygems agora atualizado, é o 1.8.11.
– Mac OS X

Tudo voltou ao normal, agora funciona o gem update –system e tudo mais. Só que eu não sei qual foi a causa raiz. Se por acaso alguém já passou por algo assim, e descobriu o que causou, quero saber! 🙂